#define _WIN32_DCOM
// Edit this line to point to your copy of lsapi.h
#include "../../litestep/lsapi/lsapi.h"
#include "iTunesCOMInterface.h"
#include <comdef.h>

// Edit the following lines changing the <> values to something appropriate
const char szVersion[] = "iTunesControl 0.3 (Whitman)";
const char szAppName[] = "iTunesControl";

HINSTANCE hInstance;
HWND hwndMain, hwndParent;

int msgs[] =
{
    LM_GETREVID,
    LM_REFRESH,
    0
};

int timerWait = 10;

enum {	IDT_TIMER_PLAY,
		IDT_TIMER_PAUSE,
		IDT_TIMER_STOP,
		IDT_TIMER_NEXT,
		IDT_TIMER_PREV,
		IDT_TIMER_VOLUMEUP,
		IDT_TIMER_VOLUMEDOWN,
		IDT_TIMER_REWIND,
		IDT_TIMER_POWERON,
		IDT_TIMER_POWEROFF
};

extern "C" {
	__declspec( dllexport ) int initModuleEx(HWND hParent, HINSTANCE hInst, LPCSTR pszPath);
	__declspec( dllexport ) void quitModule(HINSTANCE hInst);
}
LRESULT CALLBACK WndProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);

///
// Add prototypes here
///
void iTunes_Play_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_Play_Func(void);
void iTunes_Pause_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_Pause_Func(void);
void iTunes_Stop_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_Stop_Func(void);
void iTunes_Next_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_Next_Func(void);
void iTunes_Prev_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_Prev_Func(void);
void iTunes_VolumeUp_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_VolumeUp_Func(void);
void iTunes_VolumeDown_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_VolumeDown_Func(void);
void iTunes_Rew_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_Rew_Func(void);
void iTunes_Power_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_PowerOn_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_PowerOn_Func(void);
void iTunes_PowerOff_Bang(HWND hCaller, LPCSTR pszArgs);
void iTunes_PowerOff_Func(void);
